Generates photorealistic images with precise multi-reference editing, excels at legible text and infographics, and supports rapid LoRA fine-tuning workflows.
Use this file to discover all available pages before exploring further.
Try FLUX.2 [dev] in the Workbench
Run this model interactively, tune parameters, and compare outputs.
Model ID:flux-2-devFLUX.2 [dev] is a 32-billion parameter image generation model that excels in generating highly detailed, photorealistic images and performing precise image editing, including multi-reference editing with strong consistency across subjects, products, and styles. It is best at rendering complex typography, infographics, and UI mockups with legible fine text, and supports flexible input/output ratios up to 4 megapixels.Some other noteworthy features of FLUX.2 [dev] include native support for LoRA fine-tuning workflows, making it suitable for rapid prototyping and custom training, and efficient resource usage for high-volume generation tasks.
Metric
Value
Parameter Count
32 billion
Mixture of Experts
No
Context Length
Unknown
Multilingual
Yes
Quantized*
No
*Quantization is specific to the inference provider and the model may be offered with different quantization levels by other providers.
curl -X POST https://hub.oxen.ai/api/ai/images/edit \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "flux-2-dev", "prompt": "Bloxy, the cartoon ox in the reference image, as a superhero. The overall style should be kept the same as the reference image. Bloxy should be wearing a blue suit with whitish-grey sleeves and leggings. On Bloxy'\''s shoulders rest a yellow shoulder mantle and yellow capelet with a collar clasp. A red jewel lies in the center of the collar clasp."}'
curl -X POST https://hub.oxen.ai/api/ai/images/edit \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "flux-2-dev", "prompt": "Bloxy, the cartoon ox in the reference image, as a superhero. The overall style should be kept the same as the reference image. Bloxy should be wearing a blue suit with whitish-grey sleeves and leggings. On Bloxy'\''s shoulders rest a yellow shoulder mantle and yellow capelet with a collar clasp. A red jewel lies in the center of the collar clasp.", "input_image": [ "https://hub.oxen.ai/api/repos/elau/assets/file/main/bloxy/bloxy_cropped_1024x1024.png" ], "aspect_ratio": "1:1", "resolution": "1 MP", "num_inference_steps": 30, "guidance": 2, "output_format": "webp", "output_quality": 80, "disable_safety_checker": false}'
# Enqueue, capture the generation id.GEN_ID=$(curl -s -X POST https://hub.oxen.ai/api/ai/queue \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "flux-2-dev", "prompt": "Bloxy, the cartoon ox in the reference image, as a superhero. The overall style should be kept the same as the reference image. Bloxy should be wearing a blue suit with whitish-grey sleeves and leggings. On Bloxy'\''s shoulders rest a yellow shoulder mantle and yellow capelet with a collar clasp. A red jewel lies in the center of the collar clasp."}' | jq -r '.generations[0].generation_id')# Poll until the generation reaches a terminal status.while true; do STATUS=$(curl -s -H "Authorization: Bearer $OXEN_API_KEY" \ "https://hub.oxen.ai/api/ai/queue/$GEN_ID" | jq -r '.status') echo "Status: $STATUS" case $STATUS in succeeded|failed|cancelled) break;; esac sleep 5done# Print the result.curl -s -H "Authorization: Bearer $OXEN_API_KEY" \ "https://hub.oxen.ai/api/ai/queue/$GEN_ID" | jq .
# Enqueue, capture the generation id.GEN_ID=$(curl -s -X POST https://hub.oxen.ai/api/ai/queue \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "flux-2-dev", "prompt": "Bloxy, the cartoon ox in the reference image, as a superhero. The overall style should be kept the same as the reference image. Bloxy should be wearing a blue suit with whitish-grey sleeves and leggings. On Bloxy'\''s shoulders rest a yellow shoulder mantle and yellow capelet with a collar clasp. A red jewel lies in the center of the collar clasp.", "input_image": [ "https://hub.oxen.ai/api/repos/elau/assets/file/main/bloxy/bloxy_cropped_1024x1024.png" ], "aspect_ratio": "1:1", "resolution": "1 MP", "num_inference_steps": 30, "guidance": 2, "output_format": "webp", "output_quality": 80, "disable_safety_checker": false}' | jq -r '.generations[0].generation_id')# Poll until the generation reaches a terminal status.while true; do STATUS=$(curl -s -H "Authorization: Bearer $OXEN_API_KEY" \ "https://hub.oxen.ai/api/ai/queue/$GEN_ID" | jq -r '.status') echo "Status: $STATUS" case $STATUS in succeeded|failed|cancelled) break;; esac sleep 5done# Print the result.curl -s -H "Authorization: Bearer $OXEN_API_KEY" \ "https://hub.oxen.ai/api/ai/queue/$GEN_ID" | jq .
# Enqueue, capture the generation id.GEN_ID=$(curl -s -X POST https://hub.oxen.ai/api/ai/queue \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "flux-2-dev", "prompt": "Bloxy, the cartoon ox in the reference image, as a superhero. The overall style should be kept the same as the reference image. Bloxy should be wearing a blue suit with whitish-grey sleeves and leggings. On Bloxy'\''s shoulders rest a yellow shoulder mantle and yellow capelet with a collar clasp. A red jewel lies in the center of the collar clasp."}' | jq -r '.generations[0].generation_id')# Stream the SSE channel, grab the data line that follows a# media_generation_completed event for our id, and pretty-print it.curl -sN -H "Authorization: Bearer $OXEN_API_KEY" https://hub.oxen.ai/api/events \ | awk -v id="$GEN_ID" ' /^event: media_generation_completed$/ { expect=1; next } /^data: / && expect { payload = substr($0, 7) if (index(payload, "\"generation_id\":\"" id "\"")) { print payload; exit } expect = 0 } ' | jq .
# Enqueue, capture the generation id.GEN_ID=$(curl -s -X POST https://hub.oxen.ai/api/ai/queue \ -H "Content-Type: application/json" \ -H "Authorization: Bearer $OXEN_API_KEY" \ -d '{ "model": "flux-2-dev", "prompt": "Bloxy, the cartoon ox in the reference image, as a superhero. The overall style should be kept the same as the reference image. Bloxy should be wearing a blue suit with whitish-grey sleeves and leggings. On Bloxy'\''s shoulders rest a yellow shoulder mantle and yellow capelet with a collar clasp. A red jewel lies in the center of the collar clasp.", "input_image": [ "https://hub.oxen.ai/api/repos/elau/assets/file/main/bloxy/bloxy_cropped_1024x1024.png" ], "aspect_ratio": "1:1", "resolution": "1 MP", "num_inference_steps": 30, "guidance": 2, "output_format": "webp", "output_quality": 80, "disable_safety_checker": false}' | jq -r '.generations[0].generation_id')# Stream the SSE channel, grab the data line that follows a# media_generation_completed event for our id, and pretty-print it.curl -sN -H "Authorization: Bearer $OXEN_API_KEY" https://hub.oxen.ai/api/events \ | awk -v id="$GEN_ID" ' /^event: media_generation_completed$/ { expect=1; next } /^data: / && expect { payload = substr($0, 7) if (index(payload, "\"generation_id\":\"" id "\"")) { print payload; exit } expect = 0 } ' | jq .
"Bloxy, the cartoon ox in the reference image, as a superhero. The overall style should be kept the same as the reference image. Bloxy should be wearing a blue suit with whitish-grey sleeves and leggings. On Bloxy's shoulders rest a yellow shoulder mantle and yellow capelet with a collar clasp. A red jewel lies in the center of the collar clasp."